<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>EDMA3 Resource Manager: Resource Type</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.9 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Resource Type<br>
<small>
[<a class="el" href="group__Edma3RMIntrMgrChannel.html">Channel Specific Interface</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Data Structures</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__ResDesc.html">EDMA3_RM_ResDesc</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Handle to a Resource.  <a href="structEDMA3__RM__ResDesc.html#_details">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="anchor" name="g2bc56ec70e329a97072891f90ed78bf9"></a><!-- doxytag: member="Edma3ResType::EDMA3_RM_RES_ANY" ref="g2bc56ec70e329a97072891f90ed78bf9" args="" -->
#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Edma3ResType.html#g2bc56ec70e329a97072891f90ed78bf9">EDMA3_RM_RES_ANY</a>&nbsp;&nbsp;&nbsp;(1010u)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Used to specify any available Resource Id (<a class="el" href="structEDMA3__RM__ResDesc.html#8fffc8bd17e838ce866a225ffe14ce02">EDMA3_RM_ResDesc.resId</a>). <br></td></tr>
<tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Edma3ResType.html#g05b92650ee862481552b709fe0f4f904">EDMA3_RM_ResType</a> { <br>
&nbsp;&nbsp;<a class="el" href="group__Edma3ResType.html#gg05b92650ee862481552b709fe0f4f90476969f54bf15dd78fc14ab2b95878a67">EDMA3_RM_RES_DMA_CHANNEL</a> =  1, 
<br>
&nbsp;&nbsp;<a class="el" href="group__Edma3ResType.html#gg05b92650ee862481552b709fe0f4f904ae2e7e5b11cdf3639b9dd136228398f6">EDMA3_RM_RES_QDMA_CHANNEL</a> =  2, 
<br>
&nbsp;&nbsp;<a class="el" href="group__Edma3ResType.html#gg05b92650ee862481552b709fe0f4f9044cc4cd8404e3c1f7ad691bbbb050230b">EDMA3_RM_RES_TCC</a> =  3, 
<br>
&nbsp;&nbsp;<a class="el" href="group__Edma3ResType.html#gg05b92650ee862481552b709fe0f4f904eb1f89bd49855b2bf172f25d87861dbd">EDMA3_RM_RES_PARAM_SET</a> =  4
<br>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">EDMA3 Resource Type.  <a href="group__Edma3ResType.html#g05b92650ee862481552b709fe0f4f904">More...</a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Resource Type part of the EDMA3 Resource Manager. <hr><h2>Enumeration Type Documentation</h2>
<a class="anchor" name="g05b92650ee862481552b709fe0f4f904"></a><!-- doxytag: member="edma3_rm.h::EDMA3_RM_ResType" ref="g05b92650ee862481552b709fe0f4f904" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__Edma3ResType.html#g05b92650ee862481552b709fe0f4f904">EDMA3_RM_ResType</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
EDMA3 Resource Type. 
<p>
<dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" name="gg05b92650ee862481552b709fe0f4f90476969f54bf15dd78fc14ab2b95878a67"></a><!-- doxytag: member="EDMA3_RM_RES_DMA_CHANNEL" ref="gg05b92650ee862481552b709fe0f4f90476969f54bf15dd78fc14ab2b95878a67" args="" -->EDMA3_RM_RES_DMA_CHANNEL</em>&nbsp;</td><td>
DMA Channel resource </td></tr>
<tr><td valign="top"><em><a class="anchor" name="gg05b92650ee862481552b709fe0f4f904ae2e7e5b11cdf3639b9dd136228398f6"></a><!-- doxytag: member="EDMA3_RM_RES_QDMA_CHANNEL" ref="gg05b92650ee862481552b709fe0f4f904ae2e7e5b11cdf3639b9dd136228398f6" args="" -->EDMA3_RM_RES_QDMA_CHANNEL</em>&nbsp;</td><td>
QDMA Channel resource </td></tr>
<tr><td valign="top"><em><a class="anchor" name="gg05b92650ee862481552b709fe0f4f9044cc4cd8404e3c1f7ad691bbbb050230b"></a><!-- doxytag: member="EDMA3_RM_RES_TCC" ref="gg05b92650ee862481552b709fe0f4f9044cc4cd8404e3c1f7ad691bbbb050230b" args="" -->EDMA3_RM_RES_TCC</em>&nbsp;</td><td>
TCC resource </td></tr>
<tr><td valign="top"><em><a class="anchor" name="gg05b92650ee862481552b709fe0f4f904eb1f89bd49855b2bf172f25d87861dbd"></a><!-- doxytag: member="EDMA3_RM_RES_PARAM_SET" ref="gg05b92650ee862481552b709fe0f4f904eb1f89bd49855b2bf172f25d87861dbd" args="" -->EDMA3_RM_RES_PARAM_SET</em>&nbsp;</td><td>
Parameter RAM Set resource </td></tr>
</table>
</dl>

</div>
</div><p>
</div>
<hr size="1"><address style="text-align: right;"><small>Generated on Tue Jul 7 19:26:48 2009 for EDMA3 Resource Manager by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.9 </small></address>
</body>
</html>
